<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/subcategoria.php';
require '../usuario/decodeUsuario.php';
require '../../modelo/history.php';
require '../../modelo/global.php';

$response = array();

if (
    !isset($_POST['id_usuario']) ||
    !isset($_POST['id_subcategoria']) ||
    !isset($_POST['activo'])
) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$id_usuario = DecodeUser::handlePostUsuario($_POST['id_usuario']);

if (!$id_usuario) {
    $response['response'] = 'error';
    $response['data'] = 'Id del usuario incorrecto.';
    echo json_encode($response);
    return;
}

$id_subcategoria = $_POST['id_subcategoria'];
$activo = $_POST['activo'];
$valor_anterior = json_encode(ModeloGlobal::mdlSelect('subcategoria', $id_subcategoria));

$subcategoria = Subcategoria::mdlUpdateActivoSubcategoria($id_subcategoria, $activo);

if (!$subcategoria) {
    $response['response'] = 'error';
    $response['data'] = 'No se pudo actualizar el campo activo.';
    echo json_encode($response);
    return;
}

ModeloHistory::mdlAddNewRegister('update', 'subcategoria', $subcategoria, $id_usuario, $valor_anterior);
$response['response'] = 'success';
$response['data'] = $subcategoria;

echo json_encode($response);
return;
